org.keycloak.authorization.jpa.entities

## Class ResourceServerEntity

- java.lang.Object
- - org.keycloak.authorization.jpa.entities.ResourceServerEntity

- All Implemented Interfaces:
    ResourceServer

      @Entity
      public class ResourceServerEntity
      extends Object
      implements ResourceServer

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServerEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()` Returns the identifier of the client application (which already exists in Keycloak) that is also acting as a resource server.
    `String` | `getId()` Returns the unique identifier for this instance.
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()` Returns the `PolicyEnforcementMode` configured for this instance.
    `List<ResourceEntity>` | `getResources()`
    `List<ScopeEntity>` | `getScopes()`
    `boolean` | `isAllowRemoteResourceManagement()` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setClientId(String clientId)`
    `void` | `setId(String id)`
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode policyEnforcementMode)` Defines a `PolicyEnforcementMode` for this instance.
    `void` | `setResources(List<ResourceEntity> resources)`
    `void` | `setScopes(List<ScopeEntity> scopes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServerEntity

          public ResourceServerEntity()

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `ResourceServer`
      Returns the unique identifier for this instance.
      Specified by:
        `getId` in interface `ResourceServer`
      Returns:
        the unique identifier for this instance

    - #### setId

          public void setId(String id)

    - #### getClientId

          public String getClientId()

      Description copied from interface: `ResourceServer`
      Returns the identifier of the client application (which already exists in Keycloak) that is also acting as a resource server.
      Specified by:
        `getClientId` in interface `ResourceServer`
      Returns:
        the identifier of the client application associated with this instance.

    - #### setClientId

          public void setClientId(String clientId)

    - #### isAllowRemoteResourceManagement

          public boolean isAllowRemoteResourceManagement()

      Description copied from interface: `ResourceServer`
      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API. `true` if the resource server is allowed to managed them remotely
      Specified by:
        `isAllowRemoteResourceManagement` in interface `ResourceServer`

    - #### setAllowRemoteResourceManagement

          public void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

      Description copied from interface: `ResourceServer`
      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
      Specified by:
        `setAllowRemoteResourceManagement` in interface `ResourceServer`
      Parameters:
        `allowRemoteResourceManagement` - `true` if the resource server is allowed to managed them remotely

    - #### getPolicyEnforcementMode

          public PolicyEnforcementMode getPolicyEnforcementMode()

      Description copied from interface: `ResourceServer`
      Returns the `PolicyEnforcementMode` configured for this instance.
      Specified by:
        `getPolicyEnforcementMode` in interface `ResourceServer`
      Returns:
        the `PolicyEnforcementMode` configured for this instance.

    - #### setPolicyEnforcementMode

          public void setPolicyEnforcementMode(PolicyEnforcementMode policyEnforcementMode)

      Description copied from interface: `ResourceServer`
      Defines a `PolicyEnforcementMode` for this instance.
      Specified by:
        `setPolicyEnforcementMode` in interface `ResourceServer`
      Parameters:
        `policyEnforcementMode` - one of the available options in `PolicyEnforcementMode`

    - #### getResources

          public List<ResourceEntity> getResources()

    - #### setResources

          public void setResources(List<ResourceEntity> resources)

    - #### getScopes

          public List<ScopeEntity> getScopes()

    - #### setScopes

          public void setScopes(List<ScopeEntity> scopes)

Copyright © 2016 JBoss by Red Hat. All rights reserved.